=== debian/changelog ===
ros-indigo-novatel-gps-driver (3.7.0-0trusty) trusty; urgency=high

  * Added IMU: Honeywell HG4930 AN01 (#31 <https://github.com/swri-robotics/novatel_gps_driver/issues/31>)
  * Added launch file to test an Ethernet interface. (#33 <https://github.com/swri-robotics/novatel_gps_driver/issues/33>)
  * Contributors: Rinda Gunjala, Zach Oakes

 -- P. J. Reed <preed@swri.org>  Fri, 22 Mar 2019 05:00:00 -0000

ros-indigo-novatel-gps-driver (3.6.0-0trusty) trusty; urgency=high

  * Allow setting the serial baud rate through serial_baud ROS parameter
  * Add support for BESTUTM log
  * Add support for INSPVAX log (#27)
  * Contributors: Ellon Paiva Mendes, Sagnik Basu

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-indigo-novatel-gps-driver (3.5.0-0trusty) trusty; urgency=high

  * Update documentation
  * Fix parsing of gprmc messages for OEM4 models (#22)
  * Finish serial commands with [CR][LF] (Carriage-Return Line-Feed) (#21)
  * Adds configuration parameter span_frame_to_ros_frame. (#20)
  * Adds additional IMUs defined in the OEM7 firmware. (#17)
  * Enable the driver to determine IMU sample rate from the IMU type (#9)
  * Contributors: Ellon Paiva Mendes, Joshua Whitley, Matthew, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 17 Jul 2018 05:00:00 -0000

ros-indigo-novatel-gps-driver (3.4.0-0trusty) trusty; urgency=high

  * Fixes RPY orientation in IMU output (based on testing).
  * Add service to novatel_gps_nodelet that issues a FRESET command on the indicated target, or STANDARD if none is provided
  * Use find_library to look up the location of libpcap.so
  * Contributors: Joshua Whitley, Matthew Bries, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 06 Oct 2017 05:00:00 -0000

ros-indigo-novatel-gps-driver (3.3.0-0trusty) trusty; urgency=high

  * Fix crash for unexpected position type
  * Add three-clause BSD license
  * Publish sensor_msgs/Imu messages
  * Use unlogall true
  * Code cleanup
  * Contributors: Edward Venator, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-indigo-novatel-gps-driver (3.2.0-0trusty) trusty; urgency=high

  * Use size_t responsibly
  * Remove duplicate message ID definition
  * Reorganize parsing code
  * Add binary message support
  * Publish IMU data from NovAtel SPAN devices
  * Contributors: Edward Venator, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 21 Jul 2017 05:00:00 -0000

ros-indigo-novatel-gps-driver (3.1.0-0trusty) trusty; urgency=high

  * Add ethernet support
  * Binary message support
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 27 Jun 2017 05:00:00 -0000

ros-indigo-novatel-gps-driver (3.0.1-0trusty) trusty; urgency=high

  * Set UTC time correctly for message syncing
  * Contributors: Edward Venator

 -- P. J. Reed <preed@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-indigo-novatel-gps-driver (3.0.0-0trusty) trusty; urgency=high

  * Rename novatel_msgs to novatel_gps_msgs
  * Fix catkin_lint warnings
  * Add novatel_msgs as a dep to novatel_oem628
  * Add support for Novatel Trackstat messages
  * Remove debug error messages.
  * Add gpgsv support to novatel driver nodelet.
  * Add support for GPGSV messages in driver library.
  * Add support for GPGSV message in novatel parser.
  * Add support to ROS driver for Time message publishing
  * Add support for accessing Time messages.
  * Move messages into separate package.
  * Update nodelet documentation.
  * Add support for Novatel BESTVELA to ROS driver.
  * Add support for BESTVELA to Novatel driver
  * Add support for bestvel to message parser.
  * Add new message for BESTVEL
  * Add support for GPGSA messages.
  * Add support to configure the Novatel GPS driver for any message type and frequency.
  * Contributors: Edward Venator, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 03 Apr 2017 05:00:00 -0000

ros-indigo-novatel-gps-driver (2.9.0-0trusty) trusty; urgency=high

  * Clean up wait_for_position member variable usage
  * Merge repos on dismount and ivs; also fix some warnings
  * Move GitLab CI config to correct location.
  * Enable GitLab CI.
  * Fix potential issue with how utc offset is applied.
  * Change to always try to configure the device.
  * Fix NMEA/novatel message synchronization issues
  * Widening synchronization tolerance
  * Switch to from *_util to swri_*_util.
  * Update example launch file for novatel nodelet.
  * Contributors: Edward Venator, Jerry Towler, Kris Kozak, Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 11 Jan 2017 06:00:00 -0000

ros-indigo-novatel-gps-driver (2.8.0-0trusty) trusty; urgency=high

  * Remove explicit serial device name check
  * Add param to not publish sync diagnostic
  * Contributors: Jason Gassaway, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 05 Jan 2017 06:00:00 -0000

ros-indigo-novatel-gps-driver (2.7.2-0trusty) trusty; urgency=high

  * fixes issue caused by previous commit - no gps fix msgs being published
    previous commit caused no gps fix msgs to be published because msg buffers
    were small, and position msg arrived > 1 sec later than gpgga and gprmc msgs
    such that msgs were never synced. Added parameters to specify time sync
    tolerances and to optionally not wait for position msg. Position msg is not
    critical, it is only used to set position_covariance matrix.
  * Contributors: Neal Seegmiller

 -- P. J. Reed <preed@swri.org>  Mon, 28 Nov 2016 06:00:00 -0000

ros-indigo-novatel-gps-driver (2.7.1-0trusty) trusty; urgency=high

  * Reverts the syncing bug fix of previous commit
    This is a temporary fix that allows the novatel driver to output
    /localization/gps messages, even when BESTPOS messages are coming in with
    time stamps of ~1 seconds greater than GPGGA and GPRMC messages. With previous
    bug fix, these messages were simply popped off the buffer and no messages
    were published. Underlying issue should be fixed.
  * Fix NMEA/novatel message synchronization issues

