=== debian/control ===
Source: ros-indigo-novatel-gps-driver
Section: misc
Priority: extra
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libpcap0.8-dev, ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-gps-common, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-novatel-gps-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-swri-math-util, ros-indigo-swri-nodelet, ros-indigo-swri-roscpp, ros-indigo-swri-serial-util, ros-indigo-swri-string-util, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-novatel-gps-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libpcap0.8-dev, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-gps-common, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-novatel-gps-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-swri-math-util, ros-indigo-swri-nodelet, ros-indigo-swri-roscpp, ros-indigo-swri-serial-util, ros-indigo-swri-string-util, ros-indigo-tf
Description: Driver for NovAtel receivers
